Subject: Re: [NETFILTER]: Introduce nf_inet_address

From: Patrick McHardy <[email-masked]>
Date: Thu, 21 Feb 2008 13:00:29 +0100

David Woodhouse wrote:
> On Tue, 2008-02-19 at 15:45 +0100, Patrick McHardy wrote:
>> That would break iptables compilation, which already includes
>> linux/in.h in some files. I guess the best fix for now is to
>> include netinet/in.h in busybox and long-term clean this up
>> properly.
> 
> Yeah, that makes sense.
> 
> Can we push the change to __u32 (or uint32_t) for 2.6.24? Or is there
> something obvious we should be doing in busybox which we aren't? I don't
> quite understand why this u_int32_t crap doesn't work at _all_ when it
> evidently used to at least in some environments.

I already sent it to Dave for 2.6.25 (I assume that what you meant,
it was introduced after 2.6.24), its currently sitting in net-2.6
and should hit Linus' tree next time he pulls from Dave.